summaryrefslogtreecommitdiff
path: root/media-gfx/xpaint
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /media-gfx/xpaint
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'media-gfx/xpaint')
-rw-r--r--media-gfx/xpaint/Manifest1
-rw-r--r--media-gfx/xpaint/metadata.xml31
-rw-r--r--media-gfx/xpaint/xpaint-2.10.2.ebuild81
3 files changed, 113 insertions, 0 deletions
diff --git a/media-gfx/xpaint/Manifest b/media-gfx/xpaint/Manifest
new file mode 100644
index 000000000000..5c6f7235aceb
--- /dev/null
+++ b/media-gfx/xpaint/Manifest
@@ -0,0 +1 @@
+DIST xpaint-2.10.2.tar.bz2 1891925 BLAKE2B 056ef057357a2441c8a286adf326a98650e5e0905ee07c5ef24b0689dbb57247711c44b63211494e4ca9e44429d6237c017f53e2690f99790fa6100e4ce4d118 SHA512 a25aa940931c686e86cbc2bd8d6fd3c80d2c793a20d7a2dd90fb5cba1cd360b5e1c8433bf0d639e2b86cb2a74040be373f732c4617909aaf8c5ada2624ab5614
diff --git a/media-gfx/xpaint/metadata.xml b/media-gfx/xpaint/metadata.xml
new file mode 100644
index 000000000000..43909dc729c6
--- /dev/null
+++ b/media-gfx/xpaint/metadata.xml
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <longdescription lang="en">
+ XPaint is an X Window System color image bitmap editing program.
+ It also supports advanced features, such as image processing
+ algorithms, scripting and batch jobs. XPaint allows the edition
+ of multiple images simultaneously and supports a wide variety of
+ image formats, including: GIF, JPG, PNG, PPM, TIFF, XBM, XPM,
+ etc.
+
+ xpaint is now fully UTF8 compliant, and is capable of using
+ antialiased truetype fonts in its operations and in the menus
+ (in particular, translating to oriental languages should now be
+ quite easy - also the X core font protocol is no longer used
+ anywhere.)
+
+ xpaint also offers optional editing features based on
+ programmable filters and user defined procedures written as
+ scripts in plain C. The package includes a substantial list of
+ examples and some support for batch processing.
+ </longdescription>
+ <use>
+ <flag name="pgf">Support for loading PGF images</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">sf-xpaint</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/media-gfx/xpaint/xpaint-2.10.2.ebuild b/media-gfx/xpaint/xpaint-2.10.2.ebuild
new file mode 100644
index 000000000000..a49d1d20aec4
--- /dev/null
+++ b/media-gfx/xpaint/xpaint-2.10.2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit desktop toolchain-funcs
+
+DESCRIPTION="Image editor with tiff, jpeg and png support"
+HOMEPAGE="http://sf-xpaint.sourceforge.net/"
+SRC_URI="mirror://sourceforge/sf-xpaint/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="jpeg2k pgf tiff"
+
+RDEPEND="
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/libpng:0=
+ x11-libs/libICE
+ x11-libs/libX11
+ >=x11-libs/libXaw3dXft-1.6.2c[unicode]
+ x11-libs/libXext
+ x11-libs/libXft
+ x11-libs/libXmu
+ x11-libs/libXpm
+ x11-libs/libXt
+ sys-libs/zlib
+ virtual/jpeg:0
+ jpeg2k? ( media-libs/openjpeg:0= )
+ pgf? ( media-libs/libpgf )
+ tiff? (
+ media-libs/jbigkit:0=
+ media-libs/tiff:0
+ )
+"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ sys-devel/bison
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ sed -i -e 's/-O3 -s//g' util/Makefile || die
+}
+
+src_configure() {
+ econf \
+ $(use_enable tiff) \
+ $(use_enable jpeg2k libopenjpeg)
+}
+
+src_compile() {
+ # clean up
+ emake clean
+ emake -C util clean
+
+ # parallel make still fails sometimes
+ emake substads
+ emake xpaint.1
+
+ default
+ emake \
+ WITH_PGF="$(usex pgf "yes" "no")" \
+ CC="$(tc-getCC)" \
+ CXX="$(tc-getCXX)" \
+ -C util
+}
+
+src_install() {
+ default
+ emake \
+ WITH_PGF="$(usex pgf "yes" "no")" \
+ DESTDIR="${ED}" \
+ -C util install
+ doicon icons/xpaint.svg
+ make_desktop_entry "${PN}"
+ find "${D}" -name '*.la' -type f -delete || die
+ find "${D}" -name '*.a' -type f -delete || die
+}